using System.ComponentModel.DataAnnotations;

namespace PowerEasy.WebFuture.DataMigrations.Foundation.Model
{
    /// <summary>
    /// 咨询统计时间间隔。
    /// </summary>
    public enum LetterBoxStatisticsInterval
    {
        /// <summary>
        /// 全部。
        /// </summary>
        [Display(Name = "全部")]
        All = 0,

        /// <summary>
        /// 当年。
        /// </summary>
        [Display(Name = "当年")]
        Year = 1,

        /// <summary>
        /// 当月。
        /// </summary>
        [Display(Name = "当月")]
        Month = 2,

        /// <summary>
        /// 当日。
        /// </summary>
        [Display(Name = "当日")]
        Day = 3,

        /// <summary>
        /// 最近三个月。
        /// </summary>
        [Display(Name = "最近三个月")]
        LatestThreeMonths = 4,

        /// <summary>
        /// 最近六个月。
        /// </summary>
        [Display(Name = "最近六个月")]
        LatestSixMonths = 5
    }
}